Bug 247843 - New port: net-mgmt/checkson simple tool for checking system states
Summary: New port: net-mgmt/checkson simple tool for checking system states
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthias Fechner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-08 07:36 UTC by Florian Bauer
Modified: 2020-12-12 18:51 UTC (History)
4 users (show)

See Also:


Attachments
checkson diff file (2.13 KB, patch)
2020-07-08 07:36 UTC, Florian Bauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Bauer 2020-07-08 07:36:14 UTC
Created attachment 216317 [details]
checkson diff file

Checkson is a simple status utility written in ruby.
Comment 1 Florian Bauer 2020-07-28 18:23:47 UTC
Hey there.

Any update about this new Port?
Comment 2 daniel.engberg.lists 2020-12-12 07:22:16 UTC
Try to get this moving by adding ruby@ team to CC
Comment 3 Matthias Fechner freebsd_committer 2020-12-12 08:03:46 UTC
Could you please fix some security related problems upstream:
===> SECURITY REPORT:
      This port has installed the following world-writable files/directories.
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/checks/shell.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/checks/base.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/apiclient.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/context.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/checks/certificate.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/ui.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/checks/dns.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/config.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/checks/packages.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/checks/packagemanagers/abstractpkgmgr.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/lib/checkson/checks/process.rb
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/README.md
/usr/local/lib/ruby/gems/2.7/gems/checkson-1.0/bin/checkson

Just release a new version, that fixes this.
Let me know if a new version is available, then I will update and commit the port. I already applied some modification and fixes to it:
https://gitlab.fechner.net/mfechner/Gitlab/-/commit/6754d28beda7328473673030395d0cefd26e0400
Comment 4 Florian Bauer 2020-12-12 12:43:10 UTC
(In reply to Matthias Fechner from comment #3)
Thank you for your answer. How did you made the security report of the port? I will release a new release with this report evaluated inside my test pipeline.
Comment 5 Matthias Fechner freebsd_committer 2020-12-12 12:46:31 UTC
poudriere is doing this, while you make a testbuild of the port.

You have to setup poudriere for this.
The command I executed then was:
poudriere testport -p gitlab -j 122amd64 net-mgmt/rubygem-checkson

But the parameters must be adapted to match your build environment.
Comment 6 Florian Bauer 2020-12-12 14:54:54 UTC
(In reply to Matthias Fechner from comment #3)
The permission issue was caused by the build pipeline. It should be fixed in version 1.3 of the gem.
Comment 7 commit-hook freebsd_committer 2020-12-12 18:51:14 UTC
A commit references this bug:

Author: mfechner
Date: Sat Dec 12 18:50:58 UTC 2020
New revision: 557857
URL: https://svnweb.freebsd.org/changeset/ports/557857

Log:
  Added new port net-mgmt/rubygem-checkson.

  PR:		247843
  Submitted by:	florian@fsrv.xyz

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/rubygem-checkson/
  head/net-mgmt/rubygem-checkson/Makefile
  head/net-mgmt/rubygem-checkson/distinfo
  head/net-mgmt/rubygem-checkson/pkg-descr
Comment 8 Matthias Fechner freebsd_committer 2020-12-12 18:51:31 UTC
Thanks, committed.